Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IcePack::DbEnvDescriptor`

## Overview

    struct DbEnvDescriptor

A Freeze database environment descriptor.

### Used By

DbEnvDescriptorSeq

### Data Member Index

dbHome

  The home of the database environment (i.e.: the directory where the database file will be stored).

name

  The name of the database environment.

properties

  The configuration properties of the database environment.

## `dbHome`

    string dbHome;

The home of the database environment (i.e.: the directory where the database file will be stored).

## `name`

    string name;

The name of the database environment.

## `properties`

    PropertyDescriptorSeq properties;

The configuration properties of the database environment.

<<< Previous | Home | Next >>>
`IcePack::CppIceBoxDescriptor` | Up | `IcePack::DeploymentException`